summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-09-06 21:00:11 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-09-06 22:05:17 +0100
commite42f3ccb4157d214993f7b68125ee3d6d6a6dde5 (patch)
tree4f53af2d3eb98be98cc78508fed5a0ff13864546 /tests
parente291b97c9478e05eac777a278568bea9fadca6de (diff)
test suite: clone-skew: Test for accessing mirror via http
This test is misnamed right now, but really we are going to make it do something interesting. Right now it just sets everything up to access the mirror via http rather than file://. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/clone-skew23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/tests/clone-skew b/tests/tests/clone-skew
new file mode 100755
index 0000000..cedcf1f
--- /dev/null
+++ b/tests/tests/clone-skew
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies libhttp-server-simple-static-perl
+
+$troot/http-static-server >$tmp/must-clean/mirror.port $tmp/mirror
+read <$tmp/must-clean/mirror.port mirror_port
+
+t-git-config --global dgit-distro.test-dummy.mirror \
+ http://127.0.0.1:$mirror_port/
+
+t_archive_ln_s=cp
+
+t-archive example 1.0-1
+t-git-none
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+t-ok